/* test_evp.h
 *
 * Copyright (C) 2006-2025 wolfSSL Inc.
 *
 * This file is part of wolfSSL.
 *
 * wolfSSL is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * wolfSSL is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1335, USA
 */

#ifndef WOLFSSL_TEST_EVP_H
#define WOLFSSL_TEST_EVP_H

#ifdef OPENSSL_EXTRA
/* Test for NULL_CIPHER_TYPE in wolfSSL_EVP_CipherUpdate() */
int TestNullCipherUpdate(void);
/* Test for NULL_CIPHER_TYPE with empty data */
int TestNullCipherUpdateEmptyData(void);
/* Test for NULL_CIPHER_TYPE with large data */
int TestNullCipherUpdateLargeData(void);
/* Test for NULL_CIPHER_TYPE with multiple updates */
int TestNullCipherUpdateMultiple(void);
#endif /* OPENSSL_EXTRA */

#endif /* WOLFSSL_TEST_EVP_H */
